import unittest
from services import Service
from repository import Repo

class Test(unittest.TestCase):
    def setUp(self) -> None:
        self.repo=Repo("test_file.txt")
        self.service=Service(self.repo)
        return super().setUp()
    def tearDown(self) -> None:
        return super().tearDown()
    def test(self):
        returned = self.service.get_distance("12","20","1")
        self.assertEqual(len(returned),1)
        self.assertEqual(returned[0][0].get_id(),1)
        self.assertEqual(returned[0][1],0)

        
unittest.main()